Debian Bug report logs - #452047
libopenmpi-dev: /usr/lib/libmpi.so conflicts with other packages' alternatives

version graph

Package: libopenmpi-dev; Maintainer for libopenmpi-dev is Debian Open MPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>; Source for libopenmpi-dev is src:openmpi.

Reported by: nbreen@ofb.net (Nicholas Breen)

Date: Mon, 19 Nov 2007 17:39:02 UTC

Severity: serious

Found in version openmpi/1.2.4-3

Fixed in version openmpi/1.2.4-4

Done: Dirk Eddelbuettel <edd@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Nicholas Breen <nbreen@ofb.net>:
Bug#451993; Package gromacs-openmpi. Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <debian@pinguinkiste.de>:
New Bug report received and forwarded. Copy sent to Nicholas Breen <nbreen@ofb.net>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Manuel Prinz <debian@pinguinkiste.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: gromacs-openmpi: Package depends on lam4c2
Date: Mon, 19 Nov 2007 18:36:35 +0100
Package: gromacs-openmpi
Version: 3.3.2-2
Severity: normal

Hi Nicholas,

gromacs-openmpi depends on lam4c2 which seems to be wrong. I think it's
related to #451991 but I'm not sure, so I file it as a seperate bug. (I'm
not sure about the severity either.)

Best regards
Manuel

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (500, 'testing'), (500, 'stable'), (200, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.22-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages gromacs-openmpi depends on:
ii  base-files                    4.0.1      Debian base system miscellaneous f
ii  lam4c2                        7.1.2-1    Shared libraries used by LAM paral
ii  libc6                         2.6.1-1    GNU C Library: Shared libraries
ii  libfftw3-3                    3.1.2-3    library for computing Fast Fourier
ii  libopenmpi1                   1.2.4-3    high performance message passing l
ii  openmpi-bin                   1.2.4-3    high performance message passing l

Versions of packages gromacs-openmpi recommends:
ii  gromacs             3.3.2-2              Molecular dynamics simulator, with

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Nicholas Breen <nbreen@ofb.net>:
Bug#451993; Package gromacs-openmpi. Full text and rfc822 format available.

Acknowledgement sent to nbreen@ofb.net (Nicholas Breen):
Extra info received and forwarded to list. Copy sent to Nicholas Breen <nbreen@ofb.net>. Full text and rfc822 format available.

Message #10 received at 451993@bugs.debian.org (full text, mbox):

From: nbreen@ofb.net (Nicholas Breen)
To: Manuel Prinz <debian@pinguinkiste.de>, 451993@bugs.debian.org, 451991@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#451993: gromacs-openmpi: Package depends on lam4c2
Date: Mon, 19 Nov 2007 19:36:59 -0800
severity 451193 serious
clone 451993 -1
reassign -1 libopenmpi-dev
retitle -1 libopenmpi-dev: /usr/lib/libmpi.so conflicts with other packages' alternatives
merge 451991 451993
retitle 451993 gromacs-openmpi: build fails silently if libopenmpi-dev installed before lam4-dev/libmpich1.0-dev
block 451991 by -1
thanks

On Mon, Nov 19, 2007 at 06:36:35PM +0100, Manuel Prinz wrote:
> gromacs-openmpi depends on lam4c2 which seems to be wrong. I think it's
> related to #451991 but I'm not sure, so I file it as a seperate bug. (I'm
> not sure about the severity either.)

As best I can tell, the problem here is that libopenmpi-dev ships
/usr/lib/libmpi.so as a file (symlink) in the package itself, while both
LAM (lam4c2, lam4-dev) and MPICH (libmpich1.0ldbl, libmpich1.0-dev) do
not have it in the file list, but *do* reference it as part of their
update-alternatives(1) configuration.  As a result, depending on what
order the packages are installed in, you can end up with a symlink
pointing to a LAM or MPICH library, while dpkg still registers the
filename as belonging to OpenMPI.  This in turn causes link errors
during compilation and improper dependencies from dpkg-shlibdeps.

As a demonstration, starting from a clean slate:
# aptitude purge libmpich1.0ldbl libmpich1.0-dev lam4c2 lam4-dev libopenmpi1 libopenmpi-dev
# aptitude install libopenmpi1 libopenmpi-dev 
# aptitude install lam4c2 lam4-dev libmpich1.0ldbl libmpich1.0-dev

# ls -l /usr/lib/libmpi.so*
lrwxrwxrwx 1 root root     27 2007-11-19 18:54 /usr/lib/libmpi.so -> /etc/alternatives/libmpi.so
lrwxrwxrwx 1 root root     15 2007-11-19 18:54 /usr/lib/libmpi.so.0 -> libmpi.so.0.0.0
-rw-r--r-- 1 root root 513660 2007-10-06 06:06 /usr/lib/libmpi.so.0.0.0

Here, libmpi.so.0.0.0 is from libopenmpi1.  The libmpi.so link is where
the problem arises:

# readlink -f /usr/lib/libmpi.so 
/usr/lib/liblam.so.4.0

# dpkg -S /usr/lib/libmpi.so /usr/lib/liblam.so.4.0
libopenmpi-dev: /usr/lib/libmpi.so
lam4c2: /usr/lib/liblam.so.4.0

I've set the bug severity at serious because this is a filename overlap
between packages (Policy 10.1), which dpkg does not catch because
LAM/MPICH create the conflicting filename in their postinst scripts.  If
OpenMPI is installed *after* the other two, builds work as expected, but
this can't be enforced on the buildds.

Both lam4-dev and libopenmpi-dev ship their equivalents to libmpi.so
under different original filenames and directories (/usr/lib/liblam.so
and /usr/lib/mpich/lib/shared/libmpich.so, respectively), underneath an
update-alternatives group using /usr/include/mpi as the master node.  In
turn, binaries generally link against the original library path/filename
instead of /usr/lib/libmpi.so.  OpenMPI does not do so - its
dependencies link against /usr/lib/libmpi.so directly, and it doesn't
share the same update-alternatives master node.

% mpicc.lam -showme
gcc -I/usr/lib/lam/include -pthread -L/usr/lib/lam/lib -llammpio -llamf77mpi -lmpi -llam -lutil -ldl
                                    ^^^^^^^^^^^^^^^^^^ no equivalent with mpicc.openmpi -showme

I think the solution is relocating OpenMPI's libmpi.so in a similar
manner to the other MPI packages, joining the same update-alternatives
scheme, and then recompiling its reverse dependencies.  Does that sound
correct, or even reasonably possible?


-- 
Nicholas Breen
nbreen@ofb.net




Bug 451993 cloned as bug 452047. Request was from nbreen@ofb.net (Nicholas Breen) to control@bugs.debian.org. (Tue, 20 Nov 2007 03:39:04 GMT) Full text and rfc822 format available.

Bug reassigned from package `gromacs-openmpi' to `libopenmpi-dev'. Request was from nbreen@ofb.net (Nicholas Breen) to control@bugs.debian.org. (Tue, 20 Nov 2007 03:39:06 GMT) Full text and rfc822 format available.

Changed Bug title to `libopenmpi-dev: /usr/lib/libmpi.so conflicts with other packages' alternatives' from `gromacs-openmpi: Package depends on lam4c2'. Request was from nbreen@ofb.net (Nicholas Breen) to control@bugs.debian.org. (Tue, 20 Nov 2007 03:39:06 GMT) Full text and rfc822 format available.

Blocking bugs of 451991 added: 452047 Request was from nbreen@ofb.net (Nicholas Breen) to control@bugs.debian.org. (Tue, 20 Nov 2007 03:39:09 GMT) Full text and rfc822 format available.

Changed Bug submitter from Manuel Prinz <debian@pinguinkiste.de> to nbreen@ofb.net (Nicholas Breen). Request was from nbreen@ofb.net (Nicholas Breen) to control@bugs.debian.org. (Tue, 20 Nov 2007 03:48:01 GMT) Full text and rfc822 format available.

Bug marked as found in version 1.2.4-3. Request was from nbreen@ofb.net (Nicholas Breen) to control@bugs.debian.org. (Tue, 20 Nov 2007 03:48:02 GMT) Full text and rfc822 format available.

Blocking bugs of 451993 added: 452047 Request was from nbreen@ofb.net (Nicholas Breen) to control@bugs.debian.org. (Tue, 20 Nov 2007 04:03:03 GMT) Full text and rfc822 format available.

Severity set to `serious' from `normal' Request was from nbreen@ofb.net (Nicholas Breen) to control@bugs.debian.org. (Tue, 20 Nov 2007 04:45:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#452047; Package libopenmpi-dev. Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <debian@pinguinkiste.de>:
Extra info received and forwarded to list. Copy sent to Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #31 received at 452047@bugs.debian.org (full text, mbox):

From: Manuel Prinz <debian@pinguinkiste.de>
To: Nicholas Breen <nbreen@ofb.net>, 451991@bugs.debian.org, 452047@bugs.debian.org
Subject: Re: Bug#451991: Bug#451993: gromacs-openmpi: Package depends on lam4c2
Date: Tue, 20 Nov 2007 12:34:54 +0100
[Message part 1 (text/plain, inline)]
Hi Nicholas!

Am Montag, den 19.11.2007, 19:36 -0800 schrieb Nicholas Breen:
> [ Problem description ]

I'm confident that the issue you describe causes the problem. So our gut
feeling was right. I'll have a look at it.

> I've set the bug severity at serious because this is a filename overlap
> between packages (Policy 10.1)

That's appropriate.

> I think the solution is relocating OpenMPI's libmpi.so in a similar
> manner to the other MPI packages, joining the same update-alternatives
> scheme, and then recompiling its reverse dependencies.  Does that sound
> correct, or even reasonably possible?

It does. I can't say for sure if it's reasonably possible, but it's
possible. ;)

Best regards
Manuel
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#452047; Package libopenmpi-dev. Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <debian@pinguinkiste.de>:
Extra info received and forwarded to list. Copy sent to Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #36 received at 452047@bugs.debian.org (full text, mbox):

From: Manuel Prinz <debian@pinguinkiste.de>
To: 388313@bugs.debian.org
Cc: control@bugs.debian.org, 452047@bugs.debian.org, pkg-openmpi-maintainers@lists.alioth.debian.org
Subject: update-alternatives inconsistent with removing slaves during default switches
Date: Mon, 26 Nov 2007 19:18:04 +0100
[Message part 1 (text/plain, inline)]
block 452047 by 388313 220044
thanks

Hi,

this bug (as well as #220044) blocks us (Debian OpenMPI Maintainers) in
fixing RC bug #452047. We have a solution in our trunk but it's not
functional because the alternative links are not removed/deleted
correctly by u-a.

I'd like to help in providing a patch since I know Perl and started to
look at the u-a code already. From the two ways Marcin suggested, only
the first would work for us, so this is the one I'd go.

Do you prefer a patch via the BTS or to pull from my git repository that
has the changes?

Best regards
Manuel
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 452047 added: 388313, 220044, and 392440 Request was from Manuel Prinz <debian@pinguinkiste.de> to control@bugs.debian.org. (Mon, 26 Nov 2007 18:24:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#452047; Package libopenmpi-dev. Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <debian@pinguinkiste.de>:
Extra info received and forwarded to list. Copy sent to Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #43 received at 452047@bugs.debian.org (full text, mbox):

From: Manuel Prinz <debian@pinguinkiste.de>
To: 452047@bugs.debian.org
Cc: Nicholas Breen <nbreen@ofb.net>, control@bugs.debian.org
Subject: Re: Bug#452047: gromacs-openmpi: Package depends on lam4c2
Date: Tue, 11 Dec 2007 15:00:29 +0100
[Message part 1 (text/plain, inline)]
tags 452047 + pending
thanks

Hi Nicholas,

I added a fix in trunk a while ago which seems to work and uses
alternatives. Nevertheless, when installing other MPI -dev packages, the
problem is still the same due to a bug in update-alternatives. I thought
of patching but it's not as easy as I thought in the beginning.

I'm not quite sure how to proceed though or what would be the correct
way to handle things here. I'm not sure if it's ok to raise the
serverity of the bugs against dpkg, so they get a little more attention.
I'm still trying to figure that out.

Just wanted to let you know that we're working on the issue, even if it
has remained quite silent lately.

Best regards
Manuel
[signature.asc (application/pgp-signature, inline)]

Tags added: pending Request was from Manuel Prinz <debian@pinguinkiste.de> to control@bugs.debian.org. (Tue, 11 Dec 2007 14:09:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#452047; Package libopenmpi-dev. Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #50 received at 452047@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Manuel Prinz <debian@pinguinkiste.de>, 452047@bugs.debian.org
Cc: Nicholas Breen <nbreen@ofb.net>
Subject: Re: [Pkg-openmpi-maintainers] Bug#452047: gromacs-openmpi: Package depends on lam4c2
Date: Tue, 11 Dec 2007 10:00:37 -0600
Manuel,

On 11 December 2007 at 15:00, Manuel Prinz wrote:
| tags 452047 + pending
| thanks
| 
| Hi Nicholas,
| 
| I added a fix in trunk a while ago which seems to work and uses
| alternatives. Nevertheless, when installing other MPI -dev packages, the
| problem is still the same due to a bug in update-alternatives. I thought
| of patching but it's not as easy as I thought in the beginning.
| 
| I'm not quite sure how to proceed though or what would be the correct
| way to handle things here. I'm not sure if it's ok to raise the
| serverity of the bugs against dpkg, so they get a little more attention.
| I'm still trying to figure that out.
| 
| Just wanted to let you know that we're working on the issue, even if it
| has remained quite silent lately.

Maybe we should release a new openmpi to fix the few trivial bugs, and maybe
add a NEWS or README item indicating this open issue with the alternatives --
and how our hands are tied by update-alternatives -- to give this some more
visibility.  I think that would improve over more packages still building
with lam 'just because they always did'.  Thoughts?

Dirk

-- 
Three out of two people have difficulties with fractions.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#452047; Package libopenmpi-dev. Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <debian@pinguinkiste.de>:
Extra info received and forwarded to list. Copy sent to Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #55 received at 452047@bugs.debian.org (full text, mbox):

From: Manuel Prinz <debian@pinguinkiste.de>
To: Dirk Eddelbuettel <edd@debian.org>
Cc: 452047@bugs.debian.org, Nicholas Breen <nbreen@ofb.net>
Subject: Re: [Pkg-openmpi-maintainers] Bug#452047: gromacs-openmpi: Package depends on lam4c2
Date: Tue, 11 Dec 2007 17:20:21 +0100
[Message part 1 (text/plain, inline)]
Am Dienstag, den 11.12.2007, 10:00 -0600 schrieb Dirk Eddelbuettel:
> Maybe we should release a new openmpi to fix the few trivial bugs, and maybe
> add a NEWS or README item indicating this open issue with the alternatives --
> and how our hands are tied by update-alternatives -- to give this some more
> visibility.  I think that would improve over more packages still building
> with lam 'just because they always did'.  Thoughts?

I think a new upload is definitely a good idea. I also thought of
removing all blocks from our bug first, and directly block the bug in
gromacs by dpkg. (Reassigning the blocking bug, so to say.) TTBOMK,
we're "out" of this since we fixed the bug. It not working effectively
in gromacs is a problem that exists because of a broken alternatives,
not openmpi. As far as I understand the BTS, we can't close our bug with
an upload because the dpkg need to be closed first. By unblocking first,
we circumvent that. (As said, it's not an openmpi bug per se.)

Dirk, what do you think about that? It fixes at least one of the bugs.
I'll help Nicholas with the others because I care about gromacs as well,
but that's a different story; I see no point in waiting for all RC bugs
fixed at the same time. (Meaning, I agree with you here.)

I can write the needed mail to control@b.d.o later, if you think that's
the way to go. But before uploading, we should make a test build again,
since I'm not sure what's the situation with the shlibs issue.

Best regards
Manuel
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#452047; Package libopenmpi-dev. Full text and rfc822 format available.

Acknowledgement sent to Dirk Eddelbuettel <edd@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #60 received at 452047@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: Manuel Prinz <debian@pinguinkiste.de>
Cc: Dirk Eddelbuettel <edd@debian.org>, 452047@bugs.debian.org, Nicholas Breen <nbreen@ofb.net>
Subject: Re: [Pkg-openmpi-maintainers] Bug#452047: gromacs-openmpi: Package depends on lam4c2
Date: Tue, 11 Dec 2007 10:57:01 -0600
On 11 December 2007 at 17:20, Manuel Prinz wrote:
| Am Dienstag, den 11.12.2007, 10:00 -0600 schrieb Dirk Eddelbuettel:
| > Maybe we should release a new openmpi to fix the few trivial bugs, and maybe
| > add a NEWS or README item indicating this open issue with the alternatives --
| > and how our hands are tied by update-alternatives -- to give this some more
| > visibility.  I think that would improve over more packages still building
| > with lam 'just because they always did'.  Thoughts?
| 
| I think a new upload is definitely a good idea. I also thought of
| removing all blocks from our bug first, and directly block the bug in
| gromacs by dpkg. (Reassigning the blocking bug, so to say.) TTBOMK,

foo:~> dict -P- TTBOMK
No definitions found for "TTBOMK"

What's TTBOMK ?

| in gromacs is a problem that exists because of a broken alternatives,
| we're "out" of this since we fixed the bug. It not working effectively
| in gromacs is a problem that exists because of a broken alternatives,
| not openmpi. As far as I understand the BTS, we can't close our bug with
| an upload because the dpkg need to be closed first. By unblocking first,
| we circumvent that. (As said, it's not an openmpi bug per se.)

All sounds good to me!

| Dirk, what do you think about that? It fixes at least one of the bugs.
| I'll help Nicholas with the others because I care about gromacs as well,
| but that's a different story; I see no point in waiting for all RC bugs
| fixed at the same time. (Meaning, I agree with you here.)
| 
| I can write the needed mail to control@b.d.o later, if you think that's
| the way to go. But before uploading, we should make a test build again,
| since I'm not sure what's the situation with the shlibs issue.

Sounds good. Can you give it a spin against SVN?  If all is well, I can
upload this eve.  I don't know how to add a NEWS file -- tried once or twice
with other packages and misteriously failed. Maybe we should one, or add
something to a README?

Dirk

-- 
Three out of two people have difficulties with fractions.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>:
Bug#452047; Package libopenmpi-dev. Full text and rfc822 format available.

Acknowledgement sent to Manuel Prinz <debian@pinguinkiste.de>:
Extra info received and forwarded to list. Copy sent to Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>. Full text and rfc822 format available.

Message #65 received at 452047@bugs.debian.org (full text, mbox):

From: Manuel Prinz <debian@pinguinkiste.de>
To: Dirk Eddelbuettel <edd@debian.org>
Cc: 452047@bugs.debian.org, Nicholas Breen <nbreen@ofb.net>
Subject: Re: [Pkg-openmpi-maintainers] Bug#452047: gromacs-openmpi: Package depends on lam4c2
Date: Tue, 11 Dec 2007 18:09:10 +0100
[Message part 1 (text/plain, inline)]
Am Dienstag, den 11.12.2007, 10:57 -0600 schrieb Dirk Eddelbuettel:
> foo:~> dict -P- TTBOMK
> No definitions found for "TTBOMK"
> 
> What's TTBOMK ?

To The Best Of My Knowledge. I'm kinda surprised dict doesn't know
that!?

> Can you give it a spin against SVN?  If all is well, I can
> upload this eve.

Done that, it does not procduce working results. I'm not sure if it's
the sbp bug or the package, trying to figure that out now.

> I don't know how to add a NEWS file -- tried once or twice with other
> packages and misteriously failed. Maybe we should one, or add
> something to a README?

I guess README.Debian is appropriate, I can place an explanation there
and commit.

Best regards
Manuel
[signature.asc (application/pgp-signature, inline)]

Blocking bugs of 452047 removed: 220044, 392440, 388313, 392440, and 220044 Request was from Manuel Prinz <debian@pinguinkiste.de> to control@bugs.debian.org. (Tue, 11 Dec 2007 21:51:09 GMT) Full text and rfc822 format available.

Blocking bugs of 451991 removed: 452047 Request was from Manuel Prinz <debian@pinguinkiste.de> to control@bugs.debian.org. (Tue, 11 Dec 2007 21:51:13 GMT) Full text and rfc822 format available.

Reply sent to Dirk Eddelbuettel <edd@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to nbreen@ofb.net (Nicholas Breen):
Bug acknowledged by developer. Full text and rfc822 format available.

Message #74 received at 452047-close@bugs.debian.org (full text, mbox):

From: Dirk Eddelbuettel <edd@debian.org>
To: 452047-close@bugs.debian.org
Subject: Bug#452047: fixed in openmpi 1.2.4-4
Date: Wed, 12 Dec 2007 19:47:21 +0000
Source: openmpi
Source-Version: 1.2.4-4

We believe that the bug you reported is fixed in the latest version of
openmpi, which is due to be installed in the Debian FTP archive:

libopenmpi-dbg_1.2.4-4_i386.deb
  to pool/main/o/openmpi/libopenmpi-dbg_1.2.4-4_i386.deb
libopenmpi-dev_1.2.4-4_i386.deb
  to pool/main/o/openmpi/libopenmpi-dev_1.2.4-4_i386.deb
libopenmpi1_1.2.4-4_i386.deb
  to pool/main/o/openmpi/libopenmpi1_1.2.4-4_i386.deb
openmpi-bin_1.2.4-4_i386.deb
  to pool/main/o/openmpi/openmpi-bin_1.2.4-4_i386.deb
openmpi-common_1.2.4-4_all.deb
  to pool/main/o/openmpi/openmpi-common_1.2.4-4_all.deb
openmpi-doc_1.2.4-4_all.deb
  to pool/main/o/openmpi/openmpi-doc_1.2.4-4_all.deb
openmpi_1.2.4-4.diff.gz
  to pool/main/o/openmpi/openmpi_1.2.4-4.diff.gz
openmpi_1.2.4-4.dsc
  to pool/main/o/openmpi/openmpi_1.2.4-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 452047@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dirk Eddelbuettel <edd@debian.org> (supplier of updated openmpi package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 12 Dec 2007 09:40:29 -0600
Source: openmpi
Binary: openmpi-common openmpi-bin libopenmpi-dev libopenmpi1 libopenmpi-dbg openmpi-doc
Architecture: source all i386
Version: 1.2.4-4
Distribution: unstable
Urgency: low
Maintainer: Debian OpenMPI Maintainers <pkg-openmpi-maintainers@lists.alioth.debian.org>
Changed-By: Dirk Eddelbuettel <edd@debian.org>
Description: 
 libopenmpi-dbg - high performance message passing library -- debug library
 libopenmpi-dev - high performance message passing library -- header files
 libopenmpi1 - high performance message passing library -- shared library
 openmpi-bin - high performance message passing library -- binaries
 openmpi-common - high performance message passing library -- common files
 openmpi-doc - high performance message passing library -- man pages
Closes: 449084 452047
Changes: 
 openmpi (1.2.4-4) unstable; urgency=low
 .
   [ Manuel Prinz ]
   * debian/rules: Several minor changes
     - Added cross-compilation support
     - Replaced (un)patch targets with dpatch's makefile snippet
   * debian/control: Changed Standards-Version to match latest policy
   * debian/control: Several cosmetic changes to control fields
     - XS-Vcs-*: Renamed fields to Vcs-*
     - XS-DM-Upload-Allowed: Added, allowing uploads for Debian Maintainers
     - Homepage: Newly added
     - Build-Depends: Removed libsysfs-dev (Closes: #449084)
     - Build-Depends: Removed automake
     - Uploaders: Added myself
   * Moved include files and libraries to /usr/lib/openmpi and use the "mpi"
     alternative. Thanks to Nicholas Breen for assistance! (Closes: #452047)
 .
   [ Dirk Eddelbuettel ]
   * Debian build and upload
Files: 
 a4002bc76146dc9552026f67997a97cf 1066 net extra openmpi_1.2.4-4.dsc
 4be275ed1e1423f4f1f672b9d5c9978e 17048 net extra openmpi_1.2.4-4.diff.gz
 0785c711c35ff6f4634fd3ba7fe5f1a1 123224 net extra openmpi-bin_1.2.4-4_i386.deb
 207f43be79fbc484967f3d997ce3c839 451128 libdevel extra libopenmpi-dev_1.2.4-4_i386.deb
 189d9d7f995807f233af4efe26b1a7f7 1059950 libs extra libopenmpi1_1.2.4-4_i386.deb
 40afa919f4ac73a71853ac7241e84490 3990768 devel extra libopenmpi-dbg_1.2.4-4_i386.deb
 2e3f79058166b733684271a98a282be4 46650 net extra openmpi-common_1.2.4-4_all.deb
 d6d6c84d536168ebd673b25536dc67e7 449696 doc extra openmpi-doc_1.2.4-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFHYDX0CZSR95Gw07cRAjTCAJ95j6Ss40oL4CiAZDCXMpnKlxOQGwCeMblU
YvtOEy0Bxb5pF0xplIUhv7c=
=sRs/
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 11 Jan 2008 07:30:44 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 15:58:21 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.